header
LocoCycle
LocoCycle cover
Release date: 2014. February 14.

LocoCycle System Requirements

Minimum system requirements:

CPU:
Dual Core
RAM:
2 GB RAM
GPU:
DirectX10 GPU w/256megs VRAM
DX:
10
OS:
Windows XP SP2 32-bit
STO:
15 GB available space
Sound:
Windows HD Audio

Recommended system requirements:

CPU:
Quad Core
RAM:
4 GB RAM
GPU:
DirectX11 GPU w/1gb VRAM
DX:
11
OS:
Windows 7 64-bit
STO:
15 GB available space
Sound:
Windows HD Audio
NET:
Broadband Internet connection
NOTE: DirectX9 GPU not supported
There are only official system requirements on the site which are released by developers or an official publisher.
Can you run it?
Compare the system requirements with a configuration you can add below.
Similar games:
The Lord of the Rings: The Battle for Middle-EarthSamorost 3Doorways: Holy Mountains of Fleshno coverHired OpsArmored Warfare
Comments
Please login to post a comment.
No comments have been posted. Be the first to comment!


Forgotten passwordRegister